[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# StartOfADay

Return the start of a day as a TDateTime value, given a day indication

## Declaration

Source position: dateutil.inc line 180

`function StartOfADay(`
`const AYear: Word;`
`const AMonth: Word;`
`const ADay: Word`
`):TDateTime; overload; function StartOfADay(`
`const AYear: Word;`
`const ADayOfYear: Word`
`):TDateTime; overload;`

## Arguments

`AYear` |  | Year
`AMonth` |  | Month in the year
`ADay` |  | Day in the month.

## Function result

Start of the given day as TDateTime

## Arguments

`AYear` |  | Year
`ADayOfYear` |  | Day in the year.

## Description

StartOfADay returns a TDateTime value with the date/time indication of the start (0:0:0.000) of the day given by AYear, AMonth, ADay.

The day may also be indicated with a AYear, ADayOfYear pair.

## See also

StartOfTheDay |  | Calculate the start of the day as a TDateTime value, given a moment in the day.
StartOfTheWeek |  | Return the first day of the week, given a date.
StartOfAWeek |  | Return a day of the week, given a year, week and day in the week.
StartOfAMonth |  | Return first date of month, given a year/month pair.
StartOfTheMonth |  | Calculate the first day of the month, given a date in that month.
EndOfTheWeek |  | Calculate a TDateTime value which represents the end of a week, given a date in that week.
EndOfAWeek |  | Return the last moment of day of the week, given a year and a week in the year.
EndOfTheYear |  | Calculate a TDateTime value representing the last day of a year, given a date in that year.
EndOfAYear |  | Calculate a TDateTime value representing the last day of a year
EndOfTheMonth |  | Calculate a TDateTime value representing the last day of the month, given a day in that month.
EndOfAMonth |  | Calculate a TDateTime value representing the last day of the indicated month
EndOfTheDay |  | Calculate a TDateTime value that represents the end of a given day.
EndOfADay |  | Calculates a TDateTime value representing the end of a specified day

## Example

    Program Example38;

    { This program demonstrates the StartOfADay function }

    Uses SysUtils,DateUtils;

    Const
      Fmt = '"Start of the day : "dd mmmm yyyy hh:nn:ss';

    Var
      Y,M,D : Word;

    Begin
      Y:=YearOf(Today);
      M:=MonthOf(Today);
      D:=DayOf(Today);
      Writeln(FormatDateTime(Fmt,StartOfADay(Y,M,D)));
      DecodeDateDay(Today,Y,D);
      Writeln(FormatDateTime(Fmt,StartOfADay(Y,D)));
    End.